Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class NoticeReference

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.NoticeReference

All Implemented Interfaces:
  DEREncodable

public class NoticeReference
extends ASN1Encodable

`NoticeReference` class, used in `CertificatePolicies` X509 V3 extensions (in policy qualifiers).

      NoticeReference ::= SEQUENCE {
          organization     DisplayText,
          noticeNumbers    SEQUENCE OF INTEGER }

See Also:
  `PolicyQualifierInfo`, `PolicyInformation`

Constructor Summary
`NoticeReference(ASN1Sequence as)` Creates a new `NoticeReference` instance.
`NoticeReference(int displayTextType, java.lang.String orgName, ASN1Sequence numbers)` Creates a new `NoticeReference` instance.
`NoticeReference(java.lang.String orgName, ASN1Sequence numbers)` Creates a new `NoticeReference` instance.
`NoticeReference(java.lang.String orgName, java.util.Vector numbers)` Creates a new `NoticeReference` instance.

Method Summary
`static NoticeReference` | `getInstance(java.lang.Object as)`
`ASN1Sequence` | `getNoticeNumbers()`
`DisplayText` | `getOrganization()`
`DERObject` | `toASN1Object()` Describe `toASN1Object` method here.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoticeReference

    public NoticeReference(java.lang.String orgName,
                           java.util.Vector numbers)

  Creates a new `NoticeReference` instance.

Parameters:
  `orgName` - a `String` value
  `numbers` - a `Vector` value

### NoticeReference

    public NoticeReference(java.lang.String orgName,
                           ASN1Sequence numbers)

  Creates a new `NoticeReference` instance.

Parameters:
  `orgName` - a `String` value
  `numbers` - an `ASN1EncodableVector` value

### NoticeReference

    public NoticeReference(int displayTextType,
                           java.lang.String orgName,
                           ASN1Sequence numbers)

  Creates a new `NoticeReference` instance.

Parameters:
  `displayTextType` - an `int` value
  `orgName` - a `String` value
  `numbers` - an `ASN1EncodableVector` value

### NoticeReference

    public NoticeReference(ASN1Sequence as)

  Creates a new `NoticeReference` instance.

  Useful for reconstructing a `NoticeReference` instance from its encodable/encoded form.

Parameters:
  `as` - an `ASN1Sequence` value obtained from either calling @{link toASN1Object()} for a `NoticeReference` instance or from parsing it from a DER-encoded stream.

Method Detail

### getInstance

    public static NoticeReference getInstance(java.lang.Object as)

### getOrganization

    public DisplayText getOrganization()

### getNoticeNumbers

    public ASN1Sequence getNoticeNumbers()

### toASN1Object

    public DERObject toASN1Object()

  Describe `toASN1Object` method here.

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a `DERObject` value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD